/*
 * @(#)src/classes/sov/javax/management/ListenerNotFoundException.java, management, asdev, 20070425 1.3
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */

/*
 * @(#)ListenerNotFoundException.java	4.15 03/12/19
 * 
 */

package javax.management; 


/**
 * The specified MBean listener does not exist in the repository.
 *
 * @since 1.5
 */
public class ListenerNotFoundException extends OperationsException   { 
    
    /* Serial version */
    private static final long serialVersionUID = -7242605822448519061L;

    /**
     * Default constructor.
     */
    public ListenerNotFoundException() {
	super();
    }
    
    /**
     * Constructor that allows a specific error message to be specified.
     *
     * @param message the detail message.
     */
    public ListenerNotFoundException(String message) {
	super(message);
    }
    
}
