/*
 * @(#)src/classes/sov/java/nio/channels/AsynchronousCloseException.java, nio, asdev, 20070425 1.4
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */




/*
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 061774  030603 pabbott Remove autogeneration of NIO source files.
 *
 */

package java.nio.channels;

/**
 * Checked exception received by a thread when another thread closes the
 * channel or the part of the channel upon which it is blocked in an I/O
 * operation.
 *
 * @version 1.9, 01/11/19
 * @since 1.4
 */

public class AsynchronousCloseException extends ClosedChannelException {

   /**
    * Constructs an instance of this class.
    */
   public AsynchronousCloseException() {
   }

}
